{% extends 'index.html' %}
{% block content %}

<div class="card-buttons">
    <button class="card-button card-button-center" id = "listarAnimais" style = "padding-left: 10px; padding-right: 10px;">Exibir Animais Cadastrados</button>
</div>

<div id = "animais">
    {% set ns = namespace(items=-1) %}
    {% for adocao in adocoes %}
        {% set ns.items = ns.items + 1 %}
        <div class="card">
            <i class="fas fa-times card-action"></i>
            <div class="card-img">
                <img src={{ url_for('static', filename='img/animais/' + adocao[9]) }} alt="Imagem de paisagem">
                {% set idanimal =  adocao[0] ~ '' %}
                {% set idanimaldois =  adocao[0]|string + 's' %}
                <h1>{{adocao[1]}}</h1>
            </div>
            <h2>{{adocao[8]}}{{' Pedidos de Adoção'}}</h2>
            <h2>{{relatorios[ns.items][1]}}{{' reportes de condição anormal'}}</h2>
            </br>
            <div class="card-buttons">
                <button class="card-button card-button-center perfilPublicoButton"  style="margin-right: 10px;" onclick="exibirDados({{idanimal[0]}})">Exibir Dados</button>
                <button class="card-button card-button-center" style="margin-right: 10px;" onclick="editarDados({{idanimaldois[0]}})">Editar Dados</button>
                <button class="card-button card-button-center" style="margin-right: 10px;" onclick="excluirDados({{idanimaldois[0]}})"> Excluir Cadastro</button>
                <button class="card-button card-button-center perfilPublicoButton" style="margin-right: 10px; padding: 10px;" onclick="ocultarDados({{idanimal[0]}})">Ocultar Dados</button>
            </div>
            </br>
            <div class = "dados-animal" id = {{idanimal[0]}}>
                <h3>{{'Nome do PET: '}}{{adocao[1]}}</h3>
                <h3>{{'Data de Nascimento: '}}{{adocao[2].strftime("%d-%b-%Y")}}</h3>
                <h3>{{'Peso (Kg): '}}{{adocao[3]}}</h3>
                <h3>{{'Tamanho (cm): '}}{{adocao[4]}}</h3>
                <h3>{{'Tipo do Pêlo: '}}{{adocao[5]}}</h3>
                {% if adocao[6] %}
                    <h3>{{'Está Adotado? '}}{{'Sim'}}</h3>
                {% else %}
                    <h3>{{'Está Adotado? '}}{{'Não'}}</h3>
                {% endif %}
                <h3>{{'Laudo Médico: '}}{{adocao[7]}}</h3>
            </div>

            <div class="editAnimal" id = {{idanimaldois}}>
                <h1>Edição dos Dados do Animal</h1>
                <form action={{url_for("edit_animal")}} method="POST" enctype="multipart/form-data">
                    {{form.csrf_token}}
                    <input type=”hidden” value={{idanimal[0]}} name = "id" style="display: none;">
                    <div>
                        <label for="nome">Nome:</label>
                        {{form.nome(placeholder = "Nome do Animal", maxlength="100")}}
                    </div>
                    <div>
                        <label for="date">Data de nascimento:</label>
                        {{form.data(placeholder = "Data Estimada")}}
                    </div>
                    <div>
                        <label for="peso">Peso:</label>
                        {{form.peso(placeholder = "KG", pattern="[0-9]+([\.,][0-9]+)?", minlength = "1", maxlength="6")}}
                    </div>
                    <div>
                        <label for="tamanho">Tamanho:</label>
                        {{form.tamanho(placeholder = "Centímetros", pattern="[0-9]+([\.,][0-9]+)?", minlength = "1", maxlength="4")}}
                    </div>
                    <div>
                        <label for="tipopelo">Tipo pêlo:</label>
                        {{form.tipo_pelo(placeholder = "Pêlo do Animal", maxlength="100")}}
                    </div>
                    <div>
                        <label for="laudo">Laudo Médico:</label>
                        {{form.laudo(placeholder = "Descrição das condições de saúde")}}
                    </div>
                    <div>
                        <label for="input-foto">Foto do Animal:</label>
                        {{form.file(runat="server")}}
                    </div>
                    <input type="submit" value="salvar">
                </form>
            </div>
        </div>
    {% endfor %}
</div>

    <div id="addAnimal" class="card">
        <div id="addAnimalContent">
            <i class="fas fa-times card-action" id = "fechar"></i>
            </br>
            <h1>Cadastro de Animais</h1>
            <form action={{url_for("animals")}} method="POST" enctype="multipart/form-data">
                {{form.csrf_token}}
                <div>
                    <label for="nome">Nome:</label>
                    {{form.nome(placeholder = "Nome do Animal", id="nome", maxlength="100")}}
                </div>
                <div>
                    <label for="date">Data de nascimento:</label>
                    {{form.data(placeholder = "Data Estimada", id="date")}}
                </div>
                <div>
                    <label for="peso">Peso:</label>
                    {{form.peso(placeholder = "KG", id="peso", pattern="[0-9]+([\.,][0-9]+)?", minlength = "1", maxlength="6")}}
                </div>
                <div>
                    <label for="tamanho">Tamanho:</label>
                    {{form.tamanho(placeholder = "Centímetros", id="tamanho", pattern="[0-9]+([\.,][0-9]+)?", minlength = "1", maxlength="4")}}
                </div>
                <div>
                    <label for="tipopelo">Tipo pêlo:</label>
                    {{form.tipo_pelo(placeholder = "Pêlo do Animal", id="tipopelo", maxlength="100")}}
                </div>
                <div>
                    <label for="laudo">Laudo Médico:</label>
                    {{form.laudo(placeholder = "Descrição das condições de saúde", id="laudo")}}
                </div>
                <div>
                    <label for="input-foto">Foto do Animal:</label>
                    {{form.file(runat="server", id="foto")}}
                </div>
                        <input type="submit" value="salvar">
                <div class="card-buttons">
                    <button class="card-button" type="button" id = "cancelar">Cancelar</button>
                </div>
            </form>
        </div>
    </div>
    <div class="card" id = "adicao">
        <svg id="addAnimalButton" class="centered-img" x="0px" y="0px" width="438.533px" height="438.533px" viewBox="0 0 438.533 438.533" xml:space="preserve">
            <path id="triangle-mask" d="M409.133,109.203c-19.608-33.592-46.205-60.189-79.798-79.796C295.736,9.801,259.058,0,219.273,0   c-39.781,0-76.47,9.801-110.063,29.407c-33.595,19.604-60.192,46.201-79.8,79.796C9.801,142.8,0,179.489,0,219.267   c0,39.78,9.804,76.463,29.407,110.062c19.607,33.592,46.204,60.189,79.799,79.798c33.597,19.605,70.283,29.407,110.063,29.407   s76.47-9.802,110.065-29.407c33.593-19.602,60.189-46.206,79.795-79.798c19.603-33.596,29.403-70.284,29.403-110.062   C438.533,179.485,428.732,142.795,409.133,109.203z M347.179,237.539c0,4.948-1.811,9.236-5.428,12.847   c-3.62,3.614-7.901,5.428-12.847,5.428h-73.091v73.084c0,4.948-1.813,9.232-5.428,12.854c-3.613,3.613-7.897,5.421-12.847,5.421   h-36.543c-4.948,0-9.231-1.808-12.847-5.421c-3.617-3.621-5.426-7.905-5.426-12.854v-73.084h-73.089   c-4.948,0-9.229-1.813-12.847-5.428c-3.616-3.61-5.424-7.898-5.424-12.847v-36.547c0-4.948,1.809-9.231,5.424-12.847   c3.617-3.617,7.898-5.426,12.847-5.426h73.092v-73.089c0-4.949,1.809-9.229,5.426-12.847c3.616-3.616,7.898-5.424,12.847-5.424   h36.547c4.948,0,9.233,1.809,12.847,5.424c3.614,3.617,5.428,7.898,5.428,12.847v73.089h73.084c4.948,0,9.232,1.809,12.847,5.426   c3.617,3.615,5.428,7.898,5.428,12.847V237.539z"/>
        </svg>
        {% with messages = get_flashed_messages() %}
            {% if messages %}
                <ul class=flashes>
                    {% for message in messages %}
                        <li>{{ message }}</li>
                    {% endfor %}
                </ul>
            {% endif %}
        {% endwith %}
    </div>

    <script src={{ url_for('static', filename='js/jquery.js') }} type="text/javascript"></script>
    <script src={{ url_for('static', filename='js/animals.js') }} type="text/javascript"></script>

{% endblock %}